﻿public class ReturnArmorFromFoundation : Mod
{
    private HarmonyLib.Harmony harmony;
    private static string modId = "com.raftmodding.mods.return-armor-from-foundation";
    public void Start()
    {
        harmony = new HarmonyLib.Harmony(modId);
        harmony.PatchAll();
    }
    public void OnModUnload()
    {
        harmony.UnpatchAll(modId);
    }
    [HarmonyLib.HarmonyPatch(typeof(RemovePlaceables), "ReturnItemsFromBlock", new System.Type[] { typeof(Block), typeof(Network_Player), typeof(bool) })]
    [HarmonyLib.HarmonyPriority(HarmonyLib.Priority.Low)]
    public class HarmonyPatch_RemovePlaceables_ReturnItemsFromBlock
    {
        static void Postfix(ref Block block, ref Network_Player player, ref bool giveItems)
        {
            if (giveItems && block.Reinforced)
            {
                foreach (CostMultiple costMultiple in ItemManager.GetItemByName("Block_FoundationArmor").settings_recipe.NewCost)
                {
                    player.Inventory.AddItem(costMultiple.items[0].UniqueName, UnityEngine.Mathf.CeilToInt((float)costMultiple.amount * 0.5f));
                }
            }
        }
    }
}
